Description

Is the subalgebra.cpkg5 package obsolete now that we have homomorphism fns in CoCoALib?

Related issues:

Related to CoCoA-5 - Feature #590: package for subalgebras Closed 16 Jul 2014

Related to CoCoA-5 - Design #1128: HomomorphismFns.cpkg5 no longer needed? Closed 24 Nov 2017

History

#1 - 24 Nov 2017 16:58 - John Abbott

- Related to Feature #590: package for subalgebras added

#2 - 24 Nov 2017 17:00 - John Abbott

If I have understood what the 2 exported fns from subalgebra.cpkg5 do, then they seems to be "obsolete" to me (superseded by ker and preimage0).

Am I right?  If so, then subalgebra.cpkg5 appears to be useless.

#3 - 24 Nov 2017 17:03 - John Abbott

- Related to Design #1128: HomomorphismFns.cpkg5 no longer needed? added

#4 - 01 Dec 2017 13:41 - Anna Maria Bigatti

- % Done changed from 0 to 40

Indeed, we could just export SubalgebraHom (pretty trivial function), and give some examples.

I'm a bit comfused though: the code does something different from what the documentation says... I wonder when that was changed!

#5 - 01 Dec 2017 13:41 - Anna Maria Bigatti

- Status changed from New to In Progress

#6 - 01 Dec 2017 15:48 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.2.4 to CoCoA-5.2.2

- % Done changed from 40 to 90

- Estimated time set to 2.01 h

Mostly cleared:  now it exports SubalgebraHom, and SubalgebraRepr is obsolescent.

Exhaustive documentation shows how to call ker, preimage.. on SubalgebraHom.

#7 - 15 Dec 2017 15:53 - John Abbott

- Status changed from In Progress to Closed
- % Done changed from 90 to 100

#8 - 17 Dec 2017 17:07 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.2 to CoCoA-5.2.4

Now it also exports implicit, which is computed via ker_H.

#9 - 16 Jan 2018 15:59 - John Abbott

- Target version changed from CoCoA-5.2.4 to CoCoA-5.2.2
